Bug 24113

Summary: WorkerContextProxy::create in WorkerMessagingProxy.cpp should only be provided for non-Chromium platform.
Product: WebKit Reporter: Jian Li <jianli>
Component: WebCore Misc.Assignee: David Levin <levin>
Status: RESOLVED FIXED    
Severity: Normal CC: ap, dimich, jianli, levin
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: All   
Attachments:
Description Flags
Proposed Patch
none
Proposed Patch
none
Proposed Patch ap: review+

Description Jian Li 2009-02-23 18:45:23 PST
Need to implement WorkerContextProxy::create for Chromium platform.
Comment 1 Jian Li 2009-02-24 17:51:25 PST
Created attachment 27945 [details]
Proposed Patch
Comment 2 Jian Li 2009-02-24 18:14:03 PST
Created attachment 27947 [details]
Proposed Patch
Comment 3 Alexey Proskuryakov 2009-02-25 02:31:22 PST
Comment on attachment 27947 [details]
Proposed Patch

I don't think that checking for PLATFORM(CHROMIUM) when the check is actually for multi-process implementation is great. Is this what we're always doing in such cases?
Comment 4 Jian Li 2009-02-25 08:03:58 PST
(In reply to comment #3)
> (From update of attachment 27947 [details] [review])
> I don't think that checking for PLATFORM(CHROMIUM) when the check is actually
> for multi-process implementation is great. Is this what we're always doing in
> such cases?
> 

This check is to say: create WorkerMessagingProxy for all non-Chromium platform For Chromium, we have our own logic to decide what to create. That is, either create our own version of cross-process proxies or use WorkerMessagingProxy directly if it is for subworker or worker from the same origin.
Comment 5 Jian Li 2009-02-25 14:36:13 PST
We do not need additional changes other than placing WorkerContextProxy::create in #if. So change the summary to reflect this.
Comment 6 Jian Li 2009-02-25 14:38:35 PST
Created attachment 27986 [details]
Proposed Patch
Comment 7 Alexey Proskuryakov 2009-02-27 01:04:51 PST
Comment on attachment 27986 [details]
Proposed Patch

> This check is to say: create WorkerMessagingProxy for all non-Chromium platform
> For Chromium, we have our own logic to decide what to create.

What I was saying was that non-Chromium platforms may want to use their own logic for create() if they use separate processes instead of threads. But looks like we don't have a platform define for that yet.

r=me
Comment 8 David Levin 2009-02-27 09:22:05 PST
Reassign to levin for landing.
Comment 9 David Levin 2009-02-27 11:53:46 PST
Committed in r41291.